Skip to content

Create a user

POST
/api/v1/admin/users

Authorizations

session

Browser session cookie.

Type
API Key (cookie: bp_session)
or
apiKey

User API key: Authorization: Bearer bpi_...

Type
HTTP (bearer)

Request Body

application/json
JSON
{
  
"$schema": "https://bpincentives.com/schemas/Admin-create-userRequest.json",
  
"email": "string",
  
"name": "string",
  
"password": "string",
  
"role": "string",
  
"username": "string"
}

Responses

Created

application/json
JSON
{
  
"$schema": "https://bpincentives.com/schemas/Admin-create-userResponse.json",
  
"user": {
  
  
"createdAt": 0,
  
  
"email": "string",
  
  
"enabled": true,
  
  
"hasPasskey": true,
  
  
"hasPassword": true,
  
  
"id": 0,
  
  
"lastLoginAt": 0,
  
  
"name": "string",
  
  
"role": "string",
  
  
"totpEnabled": true,
  
  
"username": "string"
  
}
}

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI